using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples.Labeling
{
    public partial class LabelNiceLookingRoads : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromArgb(255, 233, 232, 214));
                Map1.MapUnit = GeographyUnit.Meter;

                ShapeFileFeatureLayer austinStreetsShapeLayer = new ShapeFileFeatureLayer(@"C:\Road_5_Streets\Road_5_Streets.shp");
                austinStreetsShapeLayer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = LineStyles.LocalRoad1;
                austinStreetsShapeLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                austinStreetsShapeLayer.DrawingMarginPercentage = 10;

                ShapeFileFeatureLayer austinStreetsLabelLayer = new ShapeFileFeatureLayer(@"C:\Road_5_Streets\Road_5_Streets.shp");
                austinStreetsLabelLayer.Encoding = System.Text.Encoding.UTF8;
                austinStreetsLabelLayer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle = new TextStyle("ST_NAME", new GeoFont("Tahoma", 10), new GeoSolidBrush(GeoColor.SimpleColors.Black));//TextStyles.LocalRoad1("FENAME");
                austinStreetsLabelLayer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle.OverlappingRule = LabelOverlappingRule.AllowOverlapping;
                austinStreetsLabelLayer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle.ForceLineCarriage = true;
                austinStreetsLabelLayer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle.GridSize = 5;
                austinStreetsLabelLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                austinStreetsLabelLayer.DrawingMarginPercentage = 100;

                Map1.StaticOverlay.Layers.Add(austinStreetsShapeLayer);
                Map1.StaticOverlay.TileType = TileType.MultipleTile;
                Map1.DynamicOverlay.Layers.Add(austinStreetsLabelLayer);

                austinStreetsLabelLayer.Open();
                Map1.CurrentExtent = austinStreetsLabelLayer.GetBoundingBox();
            }
        }
    }
}
